<template>
  <div>
    <div class="dashboard__header">
      <h1 class="dashboard__title">نوشته جدید</h1>
      <div class="dashboard__actions">
        <Button type="text" color='dark' light round size="sm" @click.native="$router.push('/dashboard/admin/blog')">
          <template #icon>
            <BackIcon />
          </template>
        </Button>
      </div>
    </div>
    <div class="dashboard__body">
      <DashboardNavigation class="dashboard__nav" active="blog" />
      <Card title="اطلاعات نوشته" class="dashboard__content">
        <PostForm @create="onCreate" />
      </Card>
    </div>
  </div>
</template>

<script>
import DashboardNavigation from "@/components/layout/DashboardNavigation";
import BackIcon from "@/assets/svgs/back.svg";
import Button from "@/components/base/Button";
import Card from "@/components/base/Card";
import PostForm from "@/components/blog/PostForm";

export default {
  components: {
    DashboardNavigation,
    BackIcon,
    PostForm,
    Button,
    Card
  },
  head() {
    return {
      title: "نوشته جدید"
    }
  },
  layout: "dashboard",
  methods: {
    onCreate() {
      this.$router.push('/dashboard/admin/blog');
    }
  }
}
</script>

<style lang="stylus" scoped>
@import "~assets/styles/variables"

.dashboard__content
  align-self flex-start
</style>